Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 680444 - net-misc/s3cmd-2.0.2 should depend on || ( sys-apps/file[python] dev-python/python-magic )
Summary: net-misc/s3cmd-2.0.2 should depend on || ( sys-apps/file[python] dev-python/p...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-09-21
Assignee: Igor Testen
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2019-03-15 10:46 UTC by Dennis Schridde
Modified: 2021-10-13 16:51 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2019-03-15 10:46:57 UTC
s3cmd appears to work fine with the libmagic wrapper that sys-apps/file[python] ships.

Patch to ebuild: https://github.com/devurandom/gentoo-overlay/commit/34efa53c895cc3a7a6107eb762f5ad2abbcd7a21
Comment 1 Dennis Schridde 2019-03-15 10:50:33 UTC
P.S. Reason why I looked into this: File collision between file[python] and python-magic.
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2019-03-15 10:52:00 UTC
(In reply to Dennis Schridde from comment #1)
> P.S. Reason why I looked into this: File collision between file[python] and
> python-magic.

That warrants a separate bug report.
Comment 3 Dennis Schridde 2019-03-15 14:55:37 UTC
(In reply to Jeroen Roovers from comment #2)
> (In reply to Dennis Schridde from comment #1)
> > P.S. Reason why I looked into this: File collision between file[python] and
> > python-magic.
> 
> That warrants a separate bug report.

Sorry, I meant to say: Blockers betweeen ...  File collision was just my assumption why they might be set to block each other.
Comment 4 Sam James archtester gentoo-dev Security 2020-08-25 13:59:54 UTC
CCing new maintainer.
Comment 5 Larry the Git Cow gentoo-dev 2021-10-13 16:51:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac809cc030b76ef0572db8bf0dcc082ebb777e08

commit ac809cc030b76ef0572db8bf0dcc082ebb777e08
Author:     Robin H. Johnson <robbat2@gentoo.org>
AuthorDate: 2021-10-13 16:49:28 +0000
Commit:     Robin H. Johnson <robbat2@gentoo.org>
CommitDate: 2021-10-13 16:51:11 +0000

    net-misc/s3cmd: bump, contains more Python 3.9 fixes
    
    Closes: https://bugs.gentoo.org/680444
    Closes: https://bugs.gentoo.org/809329
    Acked-by: Richard Freeman <rich0@gentoo.org>
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

 net-misc/s3cmd/Manifest           |  1 +
 net-misc/s3cmd/s3cmd-2.2.0.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)